dht::SockAddr::ipCmp Struct Reference

`#include <sockaddr.h>`

## Public Member Functions

bool | operator() (const SockAddr &a, const SockAddr &b) const

## Detailed Description

A comparator to classify IP addresses, only considering the first 64 bits in IPv6.

Definition at line 235 of file sockaddr.h.

## Member Function Documentation

## operator()()

bool dht::SockAddr::ipCmp::operator() | ( | const SockAddr & | a,
|  | const SockAddr & | b
| ) |  | const

inline

Definition at line 236 of file sockaddr.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/sockaddr.h